<div class="modal-header " >
  <div class="grid gridTemplate3Col gridTemplateHeaderCard  w-100">
    <div class="gHeader1">
      <span class="modal-title ">{{modalConfig}}  </span>
    </div>
    <div class="gHeader2">
      <span > Tiquete numero: </span> <span class="id">{{id}}</span>
    </div>
    <div class="gHeader3">
      <a (click)="activeModal.dismiss('Cross click')">
        <i class="pi pi-times-circle CBC" ></i>
      </a>
    </div>
  </div>
</div>
<form [formGroup]="remisionForm" (ngSubmit)="onSubmit()">
  <div class="modal-body">
    <div class="row">
      <div class="col-sm-12" >
        <p-messages [(value)]="msgs"></p-messages>
      </div>
      <div class="col-sm-6">
        <label >*Numero de Remisión</label>
        <input type="number" formControlName="numeroRemision" [(ngModel)]="remision.numeroRemision"  class="form-control"
               [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.numeroRemision.errors }"/>
        <div   *ngIf="submitted &&  f.numeroRemision.errors" class="invalid-feedback">
          <div *ngIf="f.numeroRemision.errors.required">Numero remision es requerido.</div>
        </div>
      </div>

      <div class="col-sm-6">
        <label >Subir imagen</label> <br>
        <label class="btn bCSO">
          <input type="file" class="d-none" (change)="fileChangeEvent($event)" />
          <i class="fas fa-image text-white"></i>
        </label>
      </div>

      <div class="col-sm-12 " >
        <image-cropper #Foto
          [imageChangedEvent]="imageChangedEvent"
          [maintainAspectRatio]="false"
          format="png"
          (imageCropped)="imageCropped($event)"
          (imageLoaded)="imageLoaded()"
          (loadImageFailed)="loadImageFailed()"
        ></image-cropper>
      </div>
      <div class="col-sm-12 text-center" *ngIf="modalConfig === 'Editar'">
        <label>Foto subida</label> <br>
        <img [src] = "remision.foto" >
      </div>
    </div>


  </div>
  <div class="modal-footer">
    <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
    <button type="submit" class="btn bCPO">GUARDAR</button>
  </div>

</form>
